# -*- coding: utf-8 -*-
#Stack configuration
stack = dict(
    stackname= 'Application'                        #Navn på stacken som skal håndtere applikasjonen i AWS.
)

#Cluster configuration
cluster = dict(
    cluster_name = 'Production'                     #Navn på EKSISTERENDE klynge applikasjonen skal kjøre i.
)
#Service configuration
service = dict(
    service_name = 'SnakeService',                  #Navnet på Servicen som skal kjøre containere
    task_amount = '2',                              #Antallet mengder task som skal kjøre av denne typen
    min_scale = '1',                                #Minste antallet tasks som kan kjøre av denne typen
    max_scale = '10',                               #Maksimale antallet task denne applikasjonen kan skalere til
    max_percent = '200',                            #Max antall helse %
    min_percent = '50'                              #Minimalt antall helse %
)

#Task Definiton                             
task = dict(                                
    task_cpu= '256',                                #CpuMendge du ønsker å provisjonere hele Tasken
    task_memory= '512',                             #Antall minne du ønsker å provisjonere hele Tasken
    definition= 'SnakeFam'                          #Taskdefneisjon/Navn på task
)


#Container Definition                        
container1 = dict(                
    container_cpu_amount= '256',                    #CpuMendge du ønsker å provisjonere containeren        
    container_memory= '512',                        #Memory mengde du ønsker at containeren skal ha
    loadbalancer_port= '80',                        #Lasbalansers port. NB! Se Cluster.yaml for konfigurere lastbalanserer.
    container_port= '3000',                         #Porten Containererens applikasjon kjører på
    protocol= 'tcp',                                #Protocol for trafikken som skal kjøre inn til containeren
    name= 'Snake',                                  #Navn på Task som skal kjøre
    )                                  